Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5090 - proble with umask
Summary: proble with umask
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: setup
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-12 18:13 UTC by mal
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-08 21:13:42 UTC


Attachments (Terms of Use)

Description mal 1999-09-12 18:13:14 UTC
Hi,
there is a problem with
/etc/profile
in setup-1.9.2-1 package.
Specifically, when
selecting what umask to set
002 or 022
it checkes for iser id and group id.
If a process has effective user id or effective group id
different a wrong pernission may be set.
(for example if a user does
su
root will get 002 umask)
A fix to this problem is to test effective UID and effective
GID, not UID and GID as it is now.
Vladislav

Comment 1 Bill Nottingham 1999-12-08 21:13:59 UTC
Um, id already does that.

If you just invoke 'su', it's not a login shell, so
/etc/profile is never read, so the umask is inherited
from the parent process.


Note You need to log in before you can comment on or make changes to this bug.